curl --request POST \
--url https://api.example.com/api/v1/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/collections"
payload = {
"name": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": ["<string>"],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
store_type: '<string>',
visibility: 'private',
status: 'active',
tags: ['<string>'],
parent_id: '<string>',
stats: {},
meta_data: {},
settings: {},
embedding: {},
source_type: 'document',
source_id: '<string>'
})
};
fetch('https://api.example.com/api/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"workspace_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"description": "<string>",
"store_type": "<string>",
"visibility": "private",
"status": "active",
"tags": [
"<string>"
],
"parent_id": "<string>",
"stats": {},
"meta_data": {},
"settings": {},
"embedding": {},
"source_type": "document",
"source_id": "<string>",
"created_by": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create Collection
Create new collection.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Body
Schema for creating a new collection.
Collection name
1 - 100Collection description
255Storage type for the collection
Collection visibility (private/public)
Collection status
Collection tags for organization
Reference to parent collection
Collection statistics
Collection metadata
Collection configuration settings
Embedding configuration
Show child attributes
Show child attributes
Collection source type
Collection source ID
Response
Successful Response
Schema for reading collection data.
Collection ID
Collection name
1 - 100Reference to workspace
Collection description
255Storage type for the collection
Collection visibility (private/public)
Collection status
Collection tags for organization
Reference to parent collection
Collection statistics
Collection metadata
Collection configuration settings
Embedding configuration
Show child attributes
Show child attributes
Collection source type
Collection source ID
User who created the collection